%define name syslinux
%define version 1.48
%define release 10mdk

Summary:	A bootloader for linux using MS-DOS floppies
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
Source0:	%{name}-%{version}.tar.bz2
Url:		http://ftp.kernel.org/pub/linux/utils/boot/syslinux/
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildRequires:	nasm >= 0.97
Patch0:         syslinux-1.48-use-vfat-instead-of-msdos.patch.bz2
Patch1:		syslinux-1.48-graphic.patch.bz2
ExclusiveArch:	%{ix86}

%description
SYSLINUX is a boot loader for the Linux operating system which
operates off an MS-DOS/Windows FAT filesystem.  It is intended to
simplify first-time installation of Linux, and for creation of rescue-
and other special-purpose boot disks.

This version include a patched SYSLINUX for handling VESA graphic mode.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
make DATE="Mandrake Linux"

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p syslinux-graphic $RPM_BUILD_ROOT%{_bindir}
ln -s syslinux-graphic $RPM_BUILD_ROOT%{_bindir}/syslinux

%files
%defattr(-,root,root)
%doc COPYING NEWS README README.graphic TODO syslinux.doc
%{_bindir}/syslinux
%{_bindir}/syslinux-graphic

%changelog
* Thu Aug 30 2001 Franois Pons <fpons@mandrakesoft.com> 1.48-10mdk
- use syslinux-graphic by default for syslinux.

* Thu Aug 30 2001 Pixel <pixel@mandrakesoft.com> 1.48-9mdk
- use vfat instead of msdos

* Tue Jul 31 2001 Pixel <pixel@mandrakesoft.com> 1.48-8mdk
- ugly fix to ensure syslinux is rebuild (the default syslinux binary in the
  package is broken)

* Tue Jul 10 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.48-7mdk
- exclusivearch: x86
- remove translations that kill rpm build

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 1.48-6mdk
- build release, update distribution tag.

* Thu May 31 2001 Franois Pons <fpons@mandrakesoft.com> 1.48-5mdk
- make sure msg file are interchangeable with lilo-graphic.

* Thu Aug 31 2000 Franois Pons <fpons@mandrakesoft.com> 1.48-4mdk
- macroszifications.
- changed the date string to "Linux-Mandrake" for syslinux-graphic.

* Mon Apr 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.48-3mdk
- new version of graphic patch for avoiding BIOS text output when using
  graphic mode, this make things much better on screen and much more
  card are supported.
- added a small documention on graphic patch in README.graphic.
- Updated spec file and Group.

* Thu Dec 23 1999 Franois PONS <fpons@mandrakesoft.com> 1.48-2mdk
- corrected for unsunported TTY output in graphic mode.
- take care of ATI* and Intel* cards.

* Thu Dec 23 1999 Franois PONS <fpons@mandrakesoft.com> 1.48-1mdk
- first version with graphic patch.

